var _ 				= 	require ('underscore'),
	utilities       =   require('../utilities/index');


//// Public ---------------------------------------------------------------------------------------


module.exports.json = function (value, callback) { 
    if (!_.isString (value) ) return callback( new utilities.error.srv(201));
    try 			{ return callback(null, JSON.parse(value)); }
    catch (error) 	{ if (error) { utilities.logger.error(error); return callback ( new utilities.error.srv(201) );} }
};

module.exports.mentions = function (value) { 
	if (!_.isString (value) ) return [];
	var usernames = [];
    value.replace(/[@]+[A-Za-z0-9_]+/g, function (val) { usernames.push( val.replace('@','').toLowerCase() ); });
    return usernames;
};