process.env.testing = "true";

var _           =   require('underscore'),
    assert      =   require("assert"),
    should      =   require('should'),
    utilities   =   require('../index.js'),

    string1     =   "Test\\ String.",
    string2     =   "'Test String.'";

describe('#escape()', function () {
    it('should try and escape strings', function (done) {
        
        var escapedString1 = utilities.escapeAWSCS (string1),
        	escapedString2 = utilities.escapeAWSCS (string2);

        escapedString1.should.equal ("Test\\\\ String.");
        escapedString2.should.equal ("\\\'Test String.\\\'");
        
        done();  
    });
});