var dbName = process.env.testing === 'true' ? 'test' : 'hammerhead';

module.exports = {
	devURI: 		'mongodb://db1:27000/' + dbName,
	stgURI: 		'mongodb://localhost:27000/' + dbName,
	prodURI: 		null,
	connectOptions: { ssl:true },
	models: 		{
						'Company': 	require('./models/company'),
						'Person': 	require('./models/person'),
					},
	maintenance: 	{
						'Clean': 60000,
					}
}